Package org.italiangrid.voms.ac

# Interface VOMSAttributesNormalizationStrategy

All Known Implementing Classes:
  `LeafVOMSExtensionNormalizationStrategy`

public interface VOMSAttributesNormalizationStrategy
A strategy to select the set of relevant and appliable VOMS attributes from a set of parsed VOMS attribute certificates. This strategy is responsible of creating the `VOMSAttribute` objects which represents the authorizative VOMS authorization information.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`List<VOMSAttribute>`
`normalizeAttributes(List<ACParsingContext> acs)`
Returns the normalized view of VOMS Authorization information starting from a list of VOMS Attribute certificates.

## Method Details

### normalizeAttributes

List<VOMSAttribute> normalizeAttributes(List<ACParsingContext> acs)
Returns the normalized view of VOMS Authorization information starting from a list of VOMS Attribute certificates.

Parameters:
  `acs` - a list of `ACParsingContext` objects
Returns:
  a possibly empty list `VOMSAttribute` object